aboutsummaryrefslogtreecommitdiffhomepage
diff options
context:
space:
mode:
authorGravatar John Cater <jcater@google.com>2016-10-19 11:14:26 +0000
committerGravatar Philipp Wollermann <philwo@google.com>2016-10-19 13:19:13 +0000
commitf04dfb9c60e4f7477b84a245f4ad516dc52a7d97 (patch)
treec046022b780eaca8c2fcef31f34778d7790d178d
parent529fe5ccd200562bcea066adce932e3639bdae05 (diff)
Set show_progress_rate_limit to -1 for all tests to ensure progress messages
are not lost. -- MOS_MIGRATED_REVID=136579898
-rwxr-xr-xsrc/test/shell/integration/run_test.sh10
-rwxr-xr-xsrc/test/shell/testenv.sh6
2 files changed, 11 insertions, 5 deletions
diff --git a/src/test/shell/integration/run_test.sh b/src/test/shell/integration/run_test.sh
index a2919db5ac..ce39bdbf55 100755
--- a/src/test/shell/integration/run_test.sh
+++ b/src/test/shell/integration/run_test.sh
@@ -244,6 +244,8 @@ EOF
err1nocolor=$(mktemp x/XXXXXX)
err2=$(mktemp x/XXXXXX)
+ # TODO(katre): Figure out why progress rate limiting is required for this on darwin.
+ add_to_bazelrc common --show_progress_rate_limit=0.03
bazel run //x:x --color=yes >$out1color 2>$err1raw_color || fail "expected success"
bazel run //x:x --color=no >$out1nocolor 2>$err1raw_nocolor || fail "expected success"
@@ -263,10 +265,10 @@ EOF
start=$(($bazel_stderr_line_count_nocolor+1))
tail -n +$start $err1raw_nocolor >$err1nocolor
- diff $out1color $out2 >&/dev/null || fail "stdout with --color=yes differs"
- diff $out1nocolor $out2 >&/dev/null || fail "stdout with --color=no differs"
- diff $err1color $err2 >&/dev/null || fail "stderr with --color=yes differs"
- diff $err1nocolor $err2 >&/dev/null || fail "stderr with --color=no differs"
+ diff $out1color $out2 >&$TEST_log || fail "stdout with --color=yes differs"
+ diff $out1nocolor $out2 >&$TEST_log || fail "stdout with --color=no differs"
+ diff $err1color $err2 >&$TEST_log || fail "stderr with --color=yes differs"
+ diff $err1nocolor $err2 >&$TEST_log || fail "stderr with --color=no differs"
rm -rf x
}
diff --git a/src/test/shell/testenv.sh b/src/test/shell/testenv.sh
index 0e7d1506a5..9da31e44f3 100755
--- a/src/test/shell/testenv.sh
+++ b/src/test/shell/testenv.sh
@@ -263,6 +263,10 @@ function setup_bazelrc() {
cat >$TEST_TMPDIR/bazelrc <<EOF
startup --output_user_root=${bazel_root}
startup --host_javabase=${bazel_javabase}
+
+# Print all progress messages because we regularly grep the output in tests.
+common --show_progress_rate_limit=-1
+
build -j 8
${EXTRA_BAZELRC:-}
EOF
@@ -517,4 +521,4 @@ function create_and_cd_client() {
################### Extra ############################
# Functions that need to be called before each test.
-create_and_cd_client \ No newline at end of file
+create_and_cd_client